interface Input {
    url: string;
    headers: string;
    body: string;
}
export declare class DecodeService {
    /**
     * Given a HTTP request/response, the method splits its content and returns an object
     * @param {string} input
     * @returns {Input}
     */
    static getInputObject(input: string): Input;
    static decodeHex(input: string): string;
    static decodeChar(input: string): string;
    static decodePercent(input: string): string;
    static decodePlusSpace(input: string): string;
    static fromHex(h: string): string;
    static decodeMySqlHex(input: string): string;
    static decodeOraclePipe(input: string): string;
    static decodeBlockComment(input: string): string;
    static decodeUnicode(input: string): string;
}
export {};
